diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/attribute-container-test-suite.cc ns-3.44/src/core/test/attribute-container-test-suite.cc
--- ns-3.43/src/core/test/attribute-container-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/attribute-container-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -6,18 +6,18 @@
  * Author: Jared Dulmage <jared.dulmage@caliola.com>
  */
 
-#include <ns3/attribute-container.h>
-#include <ns3/double.h>
-#include <ns3/integer.h>
-#include <ns3/log.h>
-#include <ns3/object.h>
-#include <ns3/pair.h>
-#include <ns3/ptr.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
-#include <ns3/tuple.h>
-#include <ns3/type-id.h>
-#include <ns3/uinteger.h>
+#include "ns3/attribute-container.h"
+#include "ns3/double.h"
+#include "ns3/integer.h"
+#include "ns3/log.h"
+#include "ns3/object.h"
+#include "ns3/pair.h"
+#include "ns3/ptr.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
+#include "ns3/tuple.h"
+#include "ns3/type-id.h"
+#include "ns3/uinteger.h"
 
 #include <algorithm>
 #include <iterator>
@@ -31,13 +31,13 @@
 NS_LOG_COMPONENT_DEFINE("AttributeContainerTestSuite");
 
 /**
- * \file
- * \ingroup attribute-tests
+ * @file
+ * @ingroup attribute-tests
  * Attribute container test suite
  */
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  * Attribute container object.
  */
 class AttributeContainerObject : public Object
@@ -52,34 +52,34 @@
     void ReverseDoubleList();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Set the list of doubles to the given list
      *
-     * \param doubleList the given list
+     * @param doubleList the given list
      */
     void SetDoubleList(const std::list<double>& doubleList);
     /**
      * Get the list of doubles
      *
-     * \return the list of doubles
+     * @return the list of doubles
      */
     std::list<double> GetDoubleList() const;
 
     /**
      * Set the vector of ints to the given vector
      *
-     * \param vec the given vector
+     * @param vec the given vector
      */
     void SetIntVec(std::vector<int> vec);
     /**
      * Get the vector of ints
      *
-     * \return the vector of ints
+     * @return the vector of ints
      */
     std::vector<int> GetIntVec() const;
 
@@ -185,7 +185,7 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Test AttributeContainer instantiation, initialization, access
  */
@@ -292,7 +292,7 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Attribute serialization and deserialization TestCase.
  */
@@ -408,7 +408,7 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Attribute set and get TestCase.
  */
@@ -545,7 +545,7 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Attribute attribute container TestCase.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/attribute-test-suite.cc ns-3.44/src/core/test/attribute-test-suite.cc
--- ns-3.43/src/core/test/attribute-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/attribute-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -29,21 +29,21 @@
 {
 
 /**
- * \file
- * \ingroup attribute-tests
+ * @file
+ * @ingroup attribute-tests
  * Attribute test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup attribute-tests Attribute tests
+ * @ingroup core-tests
+ * @defgroup attribute-tests Attribute tests
  */
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Test class for TracedValue callbacks attributes.
- * \see attribute_ValueClassTest
+ * @see attribute_ValueClassTest
  */
 class ValueClassTest
 {
@@ -55,8 +55,8 @@
     /**
      * TracedValue callback signature for ValueClassTest
      *
-     * \param [in] oldValue original value of the traced variable
-     * \param [in] newValue new value of the traced variable
+     * @param [in] oldValue original value of the traced variable
+     * @param [in] newValue new value of the traced variable
      */
     typedef void (*TracedValueCallback)(const ValueClassTest oldValue,
                                         const ValueClassTest newValue);
@@ -64,9 +64,9 @@
 
 /**
  * Operator not equal.
- * \param a The left operand.
- * \param b The right operand.
- * \return always true.
+ * @param a The left operand.
+ * @param b The right operand.
+ * @return always true.
  */
 bool
 operator!=(const ValueClassTest& a [[maybe_unused]], const ValueClassTest& b [[maybe_unused]])
@@ -75,11 +75,11 @@
 }
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] v The ValueClassTest object.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] v The ValueClassTest object.
+ * @returns The reference to the output stream.
  */
 std::ostream&
 operator<<(std::ostream& os, ValueClassTest v [[maybe_unused]])
@@ -88,11 +88,11 @@
 }
 
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param [in] is The reference to the input stream.
- * \param [out] v The ValueClassTest object.
- * \returns The reference to the input stream.
+ * @param [in] is The reference to the input stream.
+ * @param [out] v The ValueClassTest object.
+ * @returns The reference to the input stream.
  */
 std::istream&
 operator>>(std::istream& is, ValueClassTest& v [[maybe_unused]])
@@ -106,7 +106,7 @@
 } // namespace ns3
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Simple class derived from ns3::Object, used to check attribute constructors.
  */
@@ -114,8 +114,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -131,7 +131,7 @@
 NS_OBJECT_ENSURE_REGISTERED(Derived);
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Class used to check attributes.
  */
@@ -155,8 +155,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId()
     {
@@ -339,7 +339,7 @@
                               BooleanValue(false),
                               MakeBooleanAccessor(&AttributeObjectTest::m_boolTestDeprecated),
                               MakeBooleanChecker(),
-                              TypeId::DEPRECATED,
+                              TypeId::SupportLevel::DEPRECATED,
                               "DEPRECATED test working.");
 
         return tid;
@@ -367,7 +367,7 @@
 
     /**
      * Adds an object to the first map.
-     * \param i The index to assign to the object.
+     * @param i The index to assign to the object.
      */
     void AddToMap1(uint32_t i)
     {
@@ -376,7 +376,7 @@
 
     /**
      * Adds an object to the unordered map.
-     * \param i The index to assign to the object.
+     * @param i The index to assign to the object.
      */
     void AddToUnorderedMap(uint64_t i)
     {
@@ -385,7 +385,7 @@
 
     /**
      * Remove an object from the first map.
-     * \param i The index to assign to the object.
+     * @param i The index to assign to the object.
      */
     void RemoveFromUnorderedMap(uint64_t i)
     {
@@ -394,9 +394,9 @@
 
     /**
      * Invoke the m_cb callback.
-     * \param a The first argument of the callback.
-     * \param b The second argument of the callback.
-     * \param c The third argument of the callback.
+     * @param a The first argument of the callback.
+     * @param b The second argument of the callback.
+     * @param c The third argument of the callback.
      */
     void InvokeCb(double a, int b, float c)
     {
@@ -405,7 +405,7 @@
 
     /**
      * Invoke the m_cbValue callback.
-     * \param a The argument of the callback.
+     * @param a The argument of the callback.
      */
     void InvokeCbValue(int8_t a)
     {
@@ -418,7 +418,7 @@
   private:
     /**
      * Set the m_boolTestA value.
-     * \param v The value to set.
+     * @param v The value to set.
      */
     void DoSetTestA(bool v)
     {
@@ -427,7 +427,7 @@
 
     /**
      * Get the m_boolTestA value.
-     * \return the value of m_boolTestA.
+     * @return the value of m_boolTestA.
      */
     bool DoGetTestA() const
     {
@@ -436,7 +436,7 @@
 
     /**
      * Get the m_int16SetGet value.
-     * \return the value of m_int16SetGet.
+     * @return the value of m_int16SetGet.
      */
     int16_t DoGetInt16() const
     {
@@ -445,7 +445,7 @@
 
     /**
      * Set the m_int16SetGet value.
-     * \param v The value to set.
+     * @param v The value to set.
      */
     void DoSetInt16(int16_t v)
     {
@@ -454,7 +454,7 @@
 
     /**
      * Get the length of m_vector2.
-     * \return the vector size.
+     * @return the vector size.
      */
     std::size_t DoGetVectorN() const
     {
@@ -463,8 +463,8 @@
 
     /**
      * Get the i-th item of m_vector2.
-     * \param i The index of the element to get.
-     * \return i-th item of m_vector2.
+     * @param i The index of the element to get.
+     * @return i-th item of m_vector2.
      */
     Ptr<Derived> DoGetVector(std::size_t i) const
     {
@@ -473,8 +473,8 @@
 
     /**
      * Set the m_intSrc2 value.
-     * \param v The value to set.
-     * \return true.
+     * @param v The value to set.
+     * @return true.
      */
     bool DoSetIntSrc(int8_t v)
     {
@@ -484,7 +484,7 @@
 
     /**
      * Get the m_intSrc2 value.
-     * \return the value of m_intSrc2.
+     * @return the value of m_intSrc2.
      */
     int8_t DoGetIntSrc() const
     {
@@ -493,8 +493,8 @@
 
     /**
      * Set the m_enumSetGet value.
-     * \param v The value to set.
-     * \return true.
+     * @param v The value to set.
+     * @return true.
      */
     bool DoSetEnum(Test_e v)
     {
@@ -504,7 +504,7 @@
 
     /**
      * Get the m_enumSetGet value.
-     * \return the value of m_enumSetGet.
+     * @return the value of m_enumSetGet.
      */
     Test_e DoGetEnum() const
     {
@@ -513,8 +513,8 @@
 
     /**
      * Set the m_enumClassSetGet value.
-     * \param v The value to set.
-     * \return true.
+     * @param v The value to set.
+     * @return true.
      */
     bool DoSetEnumClass(Test_ec v)
     {
@@ -524,7 +524,7 @@
 
     /**
      * Get the m_enumClassSetGet value.
-     * \return the value of m_enumSetGet.
+     * @return the value of m_enumSetGet.
      */
     Test_ec DoGetEnumClass() const
     {
@@ -570,9 +570,9 @@
 NS_OBJECT_ENSURE_REGISTERED(AttributeObjectTest);
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Test case template used for generic Attribute Value types -- used to make
+ * @brief Test case template used for generic Attribute Value types -- used to make
  * sure that Attributes work as expected.
  */
 template <typename T>
@@ -581,7 +581,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     AttributeTestCase(std::string description);
     ~AttributeTestCase() override;
@@ -590,11 +590,11 @@
     void DoRun() override;
     /**
      * Check the attribute path and value.
-     * \param p The object to test.
-     * \param attributeName The attribute name.
-     * \param expectedString The expected attribute name.
-     * \param expectedValue The expected attribute value.
-     * \return true if everything is as expected.
+     * @param p The object to test.
+     * @param attributeName The attribute name.
+     * @param expectedString The expected attribute name.
+     * @param expectedValue The expected attribute value.
+     * @return true if everything is as expected.
      */
     bool CheckGetCodePaths(Ptr<Object> p,
                            std::string attributeName,
@@ -1232,7 +1232,7 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
  * Test the Attributes of type RandomVariableStream.
  */
@@ -1241,7 +1241,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     RandomVariableStreamAttributeTestCase(std::string description);
 
@@ -1251,7 +1251,7 @@
 
     /**
      * Invoke the m_cbValue.
-     * \param a The value to use on the callback.
+     * @param a The value to use on the callback.
      */
     void InvokeCbValue(int8_t a)
     {
@@ -1269,7 +1269,7 @@
 
     /**
      * Function called when the callback is used.
-     * \param a The value of the callback.
+     * @param a The value of the callback.
      */
     void NotifyCallbackValue(int8_t a)
     {
@@ -1307,9 +1307,9 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Test case for Object Vector Attributes.
+ * @brief Test case for Object Vector Attributes.
  *
  * Generic nature is pretty much lost here, so we just break the class out.
  */
@@ -1318,7 +1318,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     ObjectVectorAttributeTestCase(std::string description);
 
@@ -1393,16 +1393,16 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Test case for Object Map Attributes.
+ * @brief Test case for Object Map Attributes.
  */
 class ObjectMapAttributeTestCase : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     ObjectMapAttributeTestCase(std::string description);
 
@@ -1508,9 +1508,9 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Trace sources with value semantics can be used like Attributes,
+ * @brief Trace sources with value semantics can be used like Attributes,
  * make sure we can use them that way.
  */
 class IntegerTraceSourceAttributeTestCase : public TestCase
@@ -1518,7 +1518,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     IntegerTraceSourceAttributeTestCase(std::string description);
 
@@ -1619,9 +1619,9 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Trace sources used like Attributes must also work as trace sources,
+ * @brief Trace sources used like Attributes must also work as trace sources,
  * make sure we can use them that way.
  */
 class IntegerTraceSourceTestCase : public TestCase
@@ -1629,7 +1629,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     IntegerTraceSourceTestCase(std::string description);
 
@@ -1642,8 +1642,8 @@
 
     /**
      * Notify the call of source 1.
-     * \param old First value.
-     * \param n Second value.
+     * @param old First value.
+     * @param n Second value.
      */
     void NotifySource1(int8_t old [[maybe_unused]], int8_t n)
     {
@@ -1718,9 +1718,9 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Trace sources used like Attributes must also work as trace sources,
+ * @brief Trace sources used like Attributes must also work as trace sources,
  * make sure we can use them that way.
  */
 class TracedCallbackTestCase : public TestCase
@@ -1728,7 +1728,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     TracedCallbackTestCase(std::string description);
 
@@ -1741,9 +1741,9 @@
 
     /**
      * Notify the call of source 2.
-     * \param a First value.
-     * \param b Second value.
-     * \param c Third value.
+     * @param a First value.
+     * @param b Second value.
+     * @param c Third value.
      */
     void NotifySource2(double a, int b [[maybe_unused]], float c [[maybe_unused]])
     {
@@ -1817,9 +1817,9 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Smart pointers (Ptr) are central to our architecture, so they
+ * @brief Smart pointers (Ptr) are central to our architecture, so they
  * must work as attributes.
  */
 class PointerAttributeTestCase : public TestCase
@@ -1827,7 +1827,7 @@
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     PointerAttributeTestCase(std::string description);
 
@@ -1840,9 +1840,9 @@
 
     /**
      * Notify the call of source 2.
-     * \param a First value.
-     * \param b Second value.
-     * \param c Third value.
+     * @param a First value.
+     * @param b Second value.
+     * @param c Third value.
      */
     void NotifySource2(double a, int b [[maybe_unused]], float c [[maybe_unused]])
     {
@@ -1961,16 +1961,16 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief Test the Attributes of type CallbackValue.
+ * @brief Test the Attributes of type CallbackValue.
  */
 class CallbackValueTestCase : public TestCase
 {
   public:
     /**
      * Constructor.
-     * \param description The TestCase description.
+     * @param description The TestCase description.
      */
     CallbackValueTestCase(std::string description);
 
@@ -1980,7 +1980,7 @@
 
     /**
      * Function to invoke the callback.
-     * \param a The value.
+     * @param a The value.
      */
     void InvokeCbValue(int8_t a)
     {
@@ -1997,7 +1997,7 @@
 
     /**
      * Function invoked when the callback is fired.
-     * \param a The value.
+     * @param a The value.
      */
     void NotifyCallbackValue(int8_t a)
     {
@@ -2062,9 +2062,9 @@
 }
 
 /**
- * \ingroup attribute-tests
+ * @ingroup attribute-tests
  *
- * \brief The attributes Test Suite.
+ * @brief The attributes Test Suite.
  */
 class AttributesTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/build-profile-test-suite.cc ns-3.44/src/core/test/build-profile-test-suite.cc
--- ns-3.43/src/core/test/build-profile-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/build-profile-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -10,16 +10,16 @@
 #include "ns3/test.h"
 
 /**
- * \file
- * \ingroup core-tests
- * \ingroup debugging
- * \ingroup build-profile-tests
+ * @file
+ * @ingroup core-tests
+ * @ingroup debugging
+ * @ingroup build-profile-tests
  * NS_BUILD_PROFILE macros test suite.
  */
 
 /**
- * \ingroup core-tests
- * \defgroup build-profile-tests NS_BUILD_PROFILE macros test suite
+ * @ingroup core-tests
+ * @defgroup build-profile-tests NS_BUILD_PROFILE macros test suite
  */
 
 namespace ns3
@@ -29,7 +29,7 @@
 {
 
 /**
- * \ingroup build-profile-tests
+ * @ingroup build-profile-tests
  * Build profile test
  */
 class BuildProfileTestCase : public TestCase
@@ -82,7 +82,7 @@
 }
 
 /**
- * \ingroup build-profile-tests
+ * @ingroup build-profile-tests
  * Build profile test suite
  */
 class BuildProfileTestSuite : public TestSuite
@@ -98,7 +98,7 @@
 }
 
 /**
- * \ingroup build-profile-tests
+ * @ingroup build-profile-tests
  * BuildProfileTestSuite instance variable.
  */
 static BuildProfileTestSuite g_BuildProfileTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/test/callback-test-suite.cc ns-3.44/src/core/test/callback-test-suite.cc
--- ns-3.43/src/core/test/callback-test-suite.cc	2024-10-09 16:41:09.864655700 -0700
+++ ns-3.44/src/core/test/callback-test-suite.cc	2025-03-09 16:55:49.367371000 -0700
@@ -12,18 +12,18 @@
 using namespace ns3;
 
 /**
- * \file
- * \ingroup callback-tests
+ * @file
+ * @ingroup callback-tests
  * Callback test suite
  */
 
 /**
- * \ingroup core-tests
- * \defgroup callback-tests Callback tests
+ * @ingroup core-tests
+ * @defgroup callback-tests Callback tests
  */
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Test the basic Callback mechanism.
  */
@@ -46,7 +46,7 @@
 
     /**
      * Callback 2 target function.
-     * \return two.
+     * @return two.
      */
     int Target2()
     {
@@ -56,7 +56,7 @@
 
     /**
      * Callback 3 target function.
-     * \param a A parameter (unused).
+     * @param a A parameter (unused).
      */
     void Target3(double a [[maybe_unused]])
     {
@@ -65,9 +65,9 @@
 
     /**
      * Callback 4 target function.
-     * \param a A parameter (unused).
-     * \param b Another parameter (unused).
-     * \return four.
+     * @param a A parameter (unused).
+     * @param b Another parameter (unused).
+     * @return four.
      */
     int Target4(double a [[maybe_unused]], int b [[maybe_unused]])
     {
@@ -116,8 +116,8 @@
 
 /**
  * Callback 6 target function.
- * \param a The value passed by the callback.
- * \return the value of the calling function.
+ * @param a The value passed by the callback.
+ * @return the value of the calling function.
  */
 int
 BasicCallbackTarget7(int a)
@@ -174,7 +174,7 @@
 
     //
     // Make sure we can declare and compile a Callback pointing to a member
-    // function that returns void, takes two parameters, and execute it.
+    // function that returns int, takes two parameters, and execute it.
     //
     Callback<int, double, int> target4 =
         Callback<int, double, int>(&BasicCallbackTestCase::Target4, this);
@@ -220,7 +220,7 @@
 }
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Test the MakeCallback mechanism.
  */
@@ -243,7 +243,7 @@
 
     /**
      * Callback 2 target function.
-     * \return two.
+     * @return two.
      */
     int Target2()
     {
@@ -253,7 +253,7 @@
 
     /**
      * Callback 3 target function.
-     * \param a A parameter (unused).
+     * @param a A parameter (unused).
      */
     void Target3(double a [[maybe_unused]])
     {
@@ -262,9 +262,9 @@
 
     /**
      * Callback 4 target function.
-     * \param a A parameter (unused).
-     * \param b Another parameter (unused).
-     * \return four.
+     * @param a A parameter (unused).
+     * @param b Another parameter (unused).
+     * @return four.
      */
     int Target4(double a [[maybe_unused]], int b [[maybe_unused]])
     {
@@ -312,8 +312,8 @@
 
 /**
  * MakeCallback 7 target function.
- * \param a The value passed by the callback.
- * \return the value of the calling function.
+ * @param a The value passed by the callback.
+ * @return the value of the calling function.
  */
 int
 MakeCallbackTarget7(int a)
@@ -406,7 +406,7 @@
 }
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Test the MakeBoundCallback mechanism.
  */
@@ -422,10 +422,10 @@
     /**
      * Member function to test the creation of a bound callback pointing to a member function
      *
-     * \param a first argument
-     * \param b second argument
-     * \param c third argument
-     * \return the sum of the arguments
+     * @param a first argument
+     * @param b second argument
+     * @param c third argument
+     * @return the sum of the arguments
      */
     int BoundTarget(int a, int b, int c)
     {
@@ -470,7 +470,7 @@
 
 /**
  * MakeBoundCallback 1 target function.
- * \param a The value passed by the callback.
+ * @param a The value passed by the callback.
  */
 void
 MakeBoundCallbackTarget1(int a)
@@ -480,7 +480,7 @@
 
 /**
  * MakeBoundCallback 2 target function.
- * \param a The value passed by the callback.
+ * @param a The value passed by the callback.
  */
 void
 MakeBoundCallbackTarget2(bool* a)
@@ -490,9 +490,9 @@
 
 /**
  * MakeBoundCallback 3 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
- * \return the value 1234.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
+ * @return the value 1234.
  */
 int
 MakeBoundCallbackTarget3(bool* a, int b)
@@ -504,8 +504,8 @@
 
 /**
  * MakeBoundCallback 4 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
  */
 void
 MakeBoundCallbackTarget4(int a, int b)
@@ -516,9 +516,9 @@
 
 /**
  * MakeBoundCallback 5 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
- * \return the value 1234.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
+ * @return the value 1234.
  */
 int
 MakeBoundCallbackTarget5(int a, int b)
@@ -530,10 +530,10 @@
 
 /**
  * MakeBoundCallback 5 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
- * \param c The value passed by the callback.
- * \return the value 1234.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
+ * @param c The value passed by the callback.
+ * @return the value 1234.
  */
 int
 MakeBoundCallbackTarget6(int a, int b, int c)
@@ -546,9 +546,9 @@
 
 /**
  * MakeBoundCallback 7 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
- * \param c The value passed by the callback.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
+ * @param c The value passed by the callback.
  */
 void
 MakeBoundCallbackTarget7(int a, int b, int c)
@@ -560,10 +560,10 @@
 
 /**
  * MakeBoundCallback 8 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
- * \param c The value passed by the callback.
- * \return the value 1234.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
+ * @param c The value passed by the callback.
+ * @return the value 1234.
  */
 int
 MakeBoundCallbackTarget8(int a, int b, int c)
@@ -576,11 +576,11 @@
 
 /**
  * MakeBoundCallback 5 target function.
- * \param a The value passed by the callback.
- * \param b The value passed by the callback.
- * \param c The value passed by the callback.
- * \param d The value passed by the callback.
- * \return the value 1234.
+ * @param a The value passed by the callback.
+ * @param b The value passed by the callback.
+ * @param c The value passed by the callback.
+ * @param d The value passed by the callback.
+ * @return the value 1234.
  */
 int
 MakeBoundCallbackTarget9(int a, int b, int c, int d)
@@ -766,7 +766,7 @@
 }
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Test the callback equality implementation.
  */
@@ -782,9 +782,9 @@
     /**
      * Member function used to test equality of callbacks.
      *
-     * \param a first argument
-     * \param b second argument
-     * \return the sum of the arguments
+     * @param a first argument
+     * @param b second argument
+     * @return the sum of the arguments
      */
     int TargetMember(double a, int b)
     {
@@ -799,9 +799,9 @@
 /**
  * Non-member function used to test equality of callbacks.
  *
- * \param a first argument
- * \param b second argument
- * \return the sum of the arguments
+ * @param a first argument
+ * @param b second argument
+ * @return the sum of the arguments
  */
 int
 CallbackEqualityTarget(double a, int b)
@@ -923,7 +923,7 @@
 }
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Test the Nullify mechanism.
  */
@@ -981,7 +981,7 @@
 }
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Make sure that various MakeCallback template functions compile and execute;
  * doesn't check an results of the execution.
@@ -1031,7 +1031,7 @@
 /** @} */
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Class used to check the capability of callbacks to call
  * public, protected, and private functions.
@@ -1063,7 +1063,7 @@
 };
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
  * Derived class used to check the capability of callbacks to call
  * public, protected, and private functions.
@@ -1168,9 +1168,9 @@
 }
 
 /**
- * \ingroup callback-tests
+ * @ingroup callback-tests
  *
- * \brief The callback Test Suite.
+ * @brief The callback Test Suite.
  */
 class CallbackTestSuite : public TestSuite
 {
